Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
Mercury.Analyser< T > Class Template Reference

Wrapper class for each step of analysis More...

Inheritance diagram for Mercury.Analyser< T >:

## Public Member Functions
| Analyser (LanguageInfo< T > langinfo, IInterpreterContextFactory contextFactory=null)
| Initializes a new instance of the Analyser{T} class. More...
| Analyser (ITokenizer tokenizer, IScanner scanner, IParser parser, IInterpreter< T > interpreter)
| Initializes a new instance of the Analyser{T} class. See Mercury.Analyser{T,TResult} for more information. More...
Public Member Functions inherited from Mercury.Analyser< T, TResult >
| Analyser (LanguageInfo< T > langinfo, Func< T, TResult > resultSelector, IInterpreterContextFactory contextFactory=null)
| Initializes a new instance of the Analyser{T,TResult} class from the provided language information. More...
| Analyser (ITokenizer tokenizer, IScanner scanner, IParser parser, IInterpreter< T > interpreter, Func< T, TResult > resultSelector)
| Initializes a new instance of analyzer from the class. Scanner and Interpreter can be `null` (if so, they won't be used). resultSelector can be `null` only if the interpreter is `null`. More...
AnalyserResult< T, TResult > | Analyze (string input)
| Analyzes the specified input and returns the Mercury.AnalyserResult{T,TResult}. More...

## Additional Inherited Members
Properties inherited from Mercury.Analyser< T, TResult >
ITokenizer | Tokenizer`[get, set]`
| Gets the tokenizer. More...
IScanner | Scanner`[get, set]`
| Gets the scanner. More...
IParser | Parser`[get, set]`
| Gets the parser. More...
IInterpreter< T > | Interpreter`[get, set]`
| Gets the interpreter. More...

## Detailed Description

Wrapper class for each step of analysis

Template Parameters

  T | Interpreter result type

Type Constraints

  T | : | class |

Definition at line 195 of file Analyser.cs.

## Constructor & Destructor Documentation

Mercury.Analyser< T >.Analyser | ( | LanguageInfo< T > | langinfo,
|  | IInterpreterContextFactory | contextFactory = `null`
| ) |  |

Initializes a new instance of the Analyser{T} class.

Parameters

  langinfo | The language information.
  contextFactory | The context factory. Can be `null`.

Definition at line 202 of file Analyser.cs.

Mercury.Analyser< T >.Analyser | ( | ITokenizer | tokenizer,
|  | IScanner | scanner,
|  | IParser | parser,
|  | IInterpreter< T > | interpreter
| ) |  |

Initializes a new instance of the Analyser{T} class. See Mercury.Analyser{T,TResult} for more information.

Parameters

  tokenizer | The tokenizer.
  scanner | The scanner.
  parser | The parser.
  interpreter | The interpreter.

Definition at line 214 of file Analyser.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Analyser.cs